From 45ceaa7c27e219861d1f38ecdbb7de688818b667 Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Thu, 8 Oct 2009 08:23:44 +0200
Subject: [PATCH] Fix FTBFS with new poppler.
 Patch taken from:
 http://launchpadlibrarian.net/32594362/ubuntu_libpoppler-0.12

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 texlive-2007-poppler.patch |   23 +++++++++++++++++++++++
 texlive.spec               |    8 +++++++-
 2 files changed, 30 insertions(+), 1 deletions(-)
 create mode 100644 texlive-2007-poppler.patch

diff --git a/texlive-2007-poppler.patch b/texlive-2007-poppler.patch
new file mode 100644
index 0000000..d2be9be
--- /dev/null
+++ b/texlive-2007-poppler.patch
@@ -0,0 +1,23 @@
+--- texlive-2007/texk/web2c/pdftexdir/pdftoepdf.cc.orig	2009-10-08 05:57:08.123249096 +0200
++++ texlive-2007/texk/web2c/pdftexdir/pdftoepdf.cc	2009-10-08 08:12:31.193248291 +0200
+@@ -673,6 +673,7 @@ read_pdf_info(char *image_name, char *pa
+     Page *page;
+     int rotate;
+     PDFRectangle *pagebox;
++    int minor_pdf_version_found, major_pdf_version_found;
+     float pdf_version_found, pdf_version_wanted;
+     // initialize
+     if (!isInit) {
+@@ -688,8 +689,11 @@ read_pdf_info(char *image_name, char *pa
+     // this works only for PDF 1.x -- but since any versions of PDF newer
+     // than 1.x will not be backwards compatible to PDF 1.x, pdfTeX will
+     // then have to changed drastically anyway.
+-    pdf_version_found = pdf_doc->doc->getPDFVersion();
++    minor_pdf_version_found = pdf_doc->doc->getPDFMinorVersion();
++    major_pdf_version_found = pdf_doc->doc->getPDFMajorVersion();
++    pdf_version_found = major_pdf_version_found + (minor_pdf_version_found * 0.1);
+     pdf_version_wanted = 1 + (minor_pdf_version_wanted * 0.1);
++
+     if (pdf_version_found > pdf_version_wanted) {
+         char msg[] =
+             "PDF inclusion: found PDF version <%.1f>, but at most version <%.1f> allowed";
diff --git a/texlive.spec b/texlive.spec
index 9562e29..0278ce3 100644
--- a/texlive.spec
+++ b/texlive.spec
@@ -21,7 +21,7 @@
 
 Name:		texlive
 Version:	%{texlive_ver}
-Release:	44%{?dist}
+Release:	44%{?dist}.fa1
 Summary:	Binaries for the TeX formatting system
 
 Group:		Applications/Publishing
@@ -126,6 +126,8 @@ Patch1006:	texlive-2007-ptex-3.1.10.patch
 Patch1007:	texlive-2007-fmtutil-ptex.patch
 Patch1008:	texlive-poolfix.patch
 
+Patch2000:	texlive-2007-poppler.patch
+
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:	flex bison ed xdg-utils
@@ -463,6 +465,7 @@ ln -s dvips.1 texk/pdvipsk/pdvips.1
 tar xfz %{SOURCE1002} -C texk
 
 %patch1008 -p1 -b .poolfix
+%patch2000 -p1 -b .poppler
 
 %build
 set -x
@@ -1236,6 +1239,9 @@ fi
 %{_mandir}/man1/texutil.1*
 
 %changelog
+* Thu Oct 08 2009 Kedar Sovani <kedars@marvell.com> 
+- Fix FTBFS with new poppler
+
 * Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2007-44
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
 
-- 
1.5.5.6

